Bug 68679 - Bar charts do not allow timestamps
Summary: Bar charts do not allow timestamps
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2013-08-28 19:25 UTC by pinus
Modified: 2019-03-18 21:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple Test Case Showing Time Stamp Bar Chart Problem (13.60 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-09-24 02:20 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pinus 2013-08-28 19:25:10 UTC
When creating e.g. a bar chart it is not possible to use timestamps. A timestamp contains a date and a time.

It is allowed to use a date column for the x-axis and a value for the y-axis. What happens is that the x-axis is stretched depending on the date value. If your data series is missing a value for e.g. a day there is a hole in the graph. This works as expected.

What's missing is the option to add a time to the date. If you want to show the values of one day, with values in the morning and in the evening, this is not possible. You can converte the date to a string but the output is different because of the missing space between the values around noon.
Comment 1 Joel Madero 2013-09-24 02:19:54 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 4.1.1.2 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Normal - can prevent high quality work
Medium - default, seems appropriate

Attached: Simple test case showing problem
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Joel Madero 2013-09-24 02:20:20 UTC
Created attachment 86428 [details]
Simple Test Case Showing Time Stamp Bar Chart Problem
Comment 3 QA Administrators 2015-07-18 17:43:21 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-10-17 13:42:04 UTC
Still confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 5 QA Administrators 2016-11-08 11:28:25 UTC Comment hidden (obsolete)
Comment 6 Regina Henschel 2017-10-14 16:36:18 UTC
"day" is still the smallest unit for a date axis.
I have used Version: 6.0.0.0.alpha0+
Build ID: 6c68f38bc28bb55a4f0d53b8f38957516d3935d1
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-09-04_22:05:26
Locale: de-DE (de_DE); Calc: group
Comment 7 QA Administrators 2018-10-15 02:50:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug